|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionSlider Class Reference

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider. More...

    #include <QStyleOptionSlider>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Properties

- maximum : const int
- minimum : const int
- orientation : const Qt::Orientation
- pageStep : const int
- singleStep : const int

- sliderPosition : const int
- sliderValue : const int
- tickInterval : const int
- tickPosition : const QSlider::TickPosition
- upsideDown : const bool

- 2 properties inherited from QStyleOptionComplex
- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionSlider ()
- QStyleOptionSlider ( const QStyleOptionSlider & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider.

The QStyleOptionSlider class is used for drawing QSlider and QScrollBar.

## Property Documentation

### maximum : const int

This property holds the maximum value for the slider.

### minimum : const int

This property holds the minimum value for the slider.

### orientation : const Qt::Orientation

This property holds the slider's orientation (horizontal or vertical).

See also Qt::Orientation.

### pageStep : const int

This property holds the size of the page step of the slider.

See also QAbstractSlider::pageStep.

### singleStep : const int

This property holds the size of the single step of the slider.

See also QAbstractSlider::singleStep.

### sliderPosition : const int

This property holds the position of the slider handle.

If the slider has active feedback (i.e., QAbstractSlider::tracking is true), this value will be the same as sliderValue. Otherwise, it will have the current position of the handle.

See also QAbstractSlider::tracking and sliderValue.

### sliderValue : const int

This property holds the value of the slider.

If the slider has active feedback (i.e., QAbstractSlider::tracking is true), this value will be the same as sliderPosition. Otherwise, it will have the value the slider had before the mouse was pressed.

See also QAbstractSlider::tracking and sliderPosition.

### tickInterval : const int

This property holds the interval that should be drawn between tick marks.

### tickPosition : const QSlider::TickPosition

This property holds the position of the slider's tick marks, if any.

See also QSlider::TickPosition.

### upsideDown : const bool

This property holds indicates slider control orientation.

Normally a slider increases as it moves up or to the right; upsideDown indicates that it should do the opposite (increase as it moves down or to the left).

See also QStyle::positionFromValue(), QStyle::valueFromPosition(), and QAbstractSlider::invertedAppearance.

## Member Function Documentation

### QStyleOptionSlider::QStyleOptionSlider ()

Constructs a QStyleOptionSlider. The members variables are initialized to default values.

### QStyleOptionSlider::QStyleOptionSlider ( const QStyleOptionSlider & other )